Skip to navigation

List Nexus By Country And Region

View as Markdown

Access control: this endpoint is available to users with the everyone role.

Returns all Avalara-supported nexus for the specified country and region.

This API is intended to be useful if your user interface needs to display a selectable list of nexus filtered by country and region.

Authentication

Authorizationstring
API Key authentication via header

Path parameters

countrystringRequired

The two-character ISO-3166 code for the country.

regionstringRequired
The two or three character region code for the region.

Headers

X-Avalara-ClientstringOptionalDefaults to Swagger UI; 26.7.0; Custom; 1.0

Identifies the software you are using to call this API. For more information on the client header, see Client Headers .

Query parameters

$filterstringOptional

A filter statement to identify specific records to retrieve. For more information on filtering, see Filtering in REST.
Not filterable: streamlinedSalesTax, isSSTActive, taxTypeGroup, taxAuthorityId, taxName, parameters

$topintegerOptional

If nonzero, return no more than this number of results. Used with $skip to provide pagination for large datasets. Unless otherwise specified, the maximum number of records that can be returned from an API call is 1,000 records.

$skipintegerOptional

If nonzero, skip this number of results before returning data. Used with $top to provide pagination for large datasets.

$orderBystringOptional

A comma separated list of sort statements in the format (fieldname) [ASC|DESC], for example id ASC.

Response

Success
@recordsetCountintegerOptional
valuelist of objectsOptional
pageKeystringOptional